package com.loveCoding.j20250426_java_basic;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo10
 * @description
 * @create 2025/4/26
 */
public class Demo10 {
    public static void main(String[] args) {
        /*
            控制循环的方式有3种
            1、continue  结束本次循环，立即开始下一次循环。
            2、break     结束循环，继续执行循环后的代码。
            3、return    其实是结束方法，顺便把方法内的循环也结束了
         */
        /**/
        for (int i = 0; i < 100; i++) {
            if (i%2==0){
                continue;
            }
            System.out.println(i);
        }

        for (int i = 0; i < 100; i++) {
            if (i==50){
                break;
            }
            System.out.println(i);
        }
        System.out.println("我是循环后的内容....");

        for (int i = 0; i < 100; i++) {
            if (i==50){
                return;
            }
            System.out.println(i);
        }
        System.out.println("我是循环后的内容....");

    }
}
